Page 4 of 4 FirstFirst ... 234
Results 31 to 40 of 40

Thread: Support for kernel 2.6.29?

  1. #31
    Join Date
    Jun 2008
    Location
    Sweden
    Posts
    27

    Default

    Quote Originally Posted by energyman View Post
    why? is there someone forcing you the latest kernels? Or is it just a bad case of versionitis?
    I think they should support a new kernel as soon as it is stable. They have to do it anyway sooner or later. Why not just do it sooner? When there is a newer kernel I want to use it, there is no good reason except that I want to use the latest kernel without using unofficial patches. If people can make their own patches for newer kernels it should be very easy for AMD devs to do it.

  2. #32
    Join Date
    Aug 2008
    Location
    Finland
    Posts
    1,665

    Default

    Quote Originally Posted by sobkas View Post
    What integer?
    You are talking about "int pci_out;"?
    Not really, I just like this way of writing functions(debugging and all).
    Fair enough, I guess I was just being a prick. Nice work. (Another question, could this also be done with an inline function? I never got to test since I didn't get my sources to compile. Will try again later in a week)

  3. #33
    Join Date
    Jun 2006
    Location
    Poland
    Posts
    117

    Default

    Quote Originally Posted by nanonyme View Post
    Nice work. (Another question, could this also be done with an inline function? I never got to test since I didn't get my sources to compile. Will try again later in a week)
    Inline is used to insert body of the function in place where it's called to reduce amount of jumps(more or less).
    It would be really hard to do it within a pre-compiled binary.

    BTW. If there is no pressing need I allow compiler to choose whatever to inline or not a function.

  4. #34
    Join Date
    Aug 2007
    Posts
    6,641

    Default

    In order to run fglrx i had to patch the kernel:

    Code:
    diff --git a/arch/x86/mm/tlb.c b/arch/x86/mm/tlb.c
    index 61ddfa0..3d26c0b 100644
    --- a/arch/x86/mm/tlb.c
    +++ b/arch/x86/mm/tlb.c
    @@ -279,6 +279,7 @@ void flush_tlb_page(struct vm_area_struct *vma, unsigned long va)
    
            preempt_enable();
     }
    +EXPORT_SYMBOL(flush_tlb_page);
    
     static void do_flush_tlb_all(void *info)
     {
    if somebody knows a better solution let me know. I still get errors in dmesg - 2 on start of any 3d app, 1 on close. Like:

    Code:
    [fglrx:firegl_find_any_map] *ERROR* Invalid map handle!<3>[fglrx:drm_vm_open] *ERROR* map not found -> inconsistent kernel data!!! vma_start:0xadbce000,handle:0xebcba000
    No idea how to fix that.
    Last edited by Kano; 05-11-2009 at 08:27 AM.

  5. #35
    Join Date
    May 2009
    Posts
    10

    Default

    ugh I need some help here, downgrading my kernel/xorg just leaves me with a broken archbox (lots of broken dependencies).

    Also my worst problem right now is that my fans are constantly spinning at full speed (cant regulate - sony vaio here), yes i'm talking about the GPU fan. Also running any video in full screen with vlc/mplayer crashes my entire computer, have to shutdown usin the power button

    Any ideas?

    Linux archbox 2.6.29-ARCH #1 SMP PREEMPT Wed Apr 29 15:36:46 CEST 2009 x86_64 Intel(R) Core(TM)2 Duo CPU P8400 @ 2.26GHz GenuineIntel GNU/Linux

  6. #36
    Join Date
    Aug 2007
    Posts
    6,641

    Default

    I can not help you with arch, but you could get a new Kanotix snapshot if you like

  7. #37
    Join Date
    Nov 2008
    Location
    Germany
    Posts
    5,411

    Default

    Quote Originally Posted by greenfish View Post
    ugh I need some help here, downgrading my kernel/xorg just leaves me with a broken archbox (lots of broken dependencies).

    Also my worst problem right now is that my fans are constantly spinning at full speed (cant regulate - sony vaio here), yes i'm talking about the GPU fan. Also running any video in full screen with vlc/mplayer crashes my entire computer, have to shutdown usin the power button

    Any ideas?

    Linux archbox 2.6.29-ARCH #1 SMP PREEMPT Wed Apr 29 15:36:46 CEST 2009 x86_64 Intel(R) Core(TM)2 Duo CPU P8400 @ 2.26GHz GenuineIntel GNU/Linux
    Search in the Dark.
    There was a solution for your problem.
    No more fix is needet.
    Only find the right key.

  8. #38
    Join Date
    May 2009
    Posts
    10

    Default

    Quote Originally Posted by Qaridarium View Post
    Search in the Dark.
    There was a solution for your problem.
    No more fix is needet.
    Only find the right key.
    um what?

    Catalyst 9.5 still makes my fans spin like crazy all the time, still lag, still freezing etc

  9. #39
    Join Date
    Nov 2008
    Location
    Germany
    Posts
    5,411

    Default

    Quote Originally Posted by greenfish View Post
    um what?

    Catalyst 9.5 still makes my fans spin like crazy all the time, still lag, still freezing etc
    "um what?"

    some people have 9-6/9-7 betas.. and patch for the 2.6.30 kernel...

  10. #40
    Join Date
    May 2009
    Posts
    5

    Default

    Quote Originally Posted by Qaridarium View Post
    "um what?"

    some people have 9-6/9-7 betas.. and patch for the 2.6.30 kernel...
    Can you confirm the 9.6 driver will support 2.6.29?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •